com.ibm.openpages.api.workflow

## Interface IWFAdvancedLogicConditionEval

- All Superinterfaces:
    IWFConditionEval, IWFEvalUnit

      public interface IWFAdvancedLogicConditionEval
      extends IWFConditionEval

  Interface that represents a grouping of conditions, joined by advanced logic operations such as AND, OR, NOT, and condition grouping using parentheses. No sub-condition groups allowed, only relational conditions.
  Since:
    8.1.0.1

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<IWFRelationalConditionEval>` | `getConditions()` Returns list of conditions
    `java.lang.String` | `getLogicalOperators()` Returns logical operator application ( "AND", "OR", and "NOT" )
    `void` | `setConditions(java.util.List<IWFRelationalConditionEval> conditions)` Assigns list of conditions
    `void` | `setLogicalOperators(java.lang.String logicOperators)` Assigns logical operator application

    - ### Methods inherited from interface com.ibm.openpages.api.workflow.IWFEvalUnit

      `getEvalType`

- - ### Method Detail

    - #### getLogicalOperators

          java.lang.String getLogicalOperators()

      Returns logical operator application ( "AND", "OR", and "NOT" )
      Returns:

    - #### setLogicalOperators

          void setLogicalOperators(java.lang.String logicOperators)

      Assigns logical operator application
      Parameters:
        `opType` -

    - #### getConditions

          java.util.List<IWFRelationalConditionEval> getConditions()

      Returns list of conditions
      Returns:

    - #### setConditions

          void setConditions(java.util.List<IWFRelationalConditionEval> conditions)

      Assigns list of conditions
      Parameters:
        `conditions` -

Licensed Materials - Property of IBM
OpenPages with Watson (PID: 5725-D51)
© Copyright IBM Corporation 2013, 2022. All Rights Reserved.
US Government Users Restricted Rights - Use, duplication or disclosure restricted by GSA ADP Schedule Contract with IBM Corp.